import java.util.ArrayList;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.TilePane;
import javafx.scene.text.Font;


public class TilePaneExample extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			TilePane root = new TilePane();
			root.setPrefColumns(4);
			root.setPrefRows(2);
			root.setHgap(10);
			root.setVgap(5);
			ArrayList<Button> buttons = new ArrayList<>();
			Button toAdd;
			Font myFont = new Font("Consolas", 20);
			for (int i = 0; i < 6; i++) {
				toAdd = new Button("Button " + i);
				toAdd.setFont(myFont);
				buttons.add(toAdd);
			}
			root.getChildren().addAll(buttons);
			Scene scene = new Scene(root, 600, 200);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Project TilePane");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
